package data
{
    import mx.collections.ArrayCollection;
    
    import util.StringUtils;
    
/**
 * RSSお気に入り情報
 */
[Bindable]
public class RSSInfo {
    /** id */
    public var id:Number;
    /** RSS名 */
    public var name:String;
    /** RSSのURL */
    public var url:String;
    
    /**
     * コンストラクタ
     */
    public function RSSInfo(name:String = null, url:String = null) {
        this.name = name;
        this.url = url;
    }
    
    /**
     * populate
     * 
     * @param value ハッシュ状のRSSInfo
     * @return RSSInfo
     */
    public static function populate(value:Object):RSSInfo {
        // nullの場合はnullを返す
        if(value == null) {
            return null;
        }
        
        var returnValue:RSSInfo = new RSSInfo();
        
        // id
        if(value.id != null) {
            returnValue.id = Number(value.id);
        }

        // name
        if(value.NAME != null) {
            returnValue.name = String(value.NAME);
        }
        
        // url
        if(value.URL != null) {
            returnValue.url = String(value.URL);
        }
        
        return returnValue;
    }
    
    /**
     * populateArray
     * 
     * @param value ハッシュ状のRSSInfoの配列
     * @return RSSInfoのArrayCollection
     */
    public static function populateArray(value:Array):ArrayCollection {
        var index:uint;
        var indexLimit:uint = value.length;
        var resultCollection:ArrayCollection = new ArrayCollection();

        for(index = 0; index < indexLimit; index++) {
            resultCollection.addItem(populate(value[index]));
        }
        
        return resultCollection;
    }
}
}
